<template>
    <div class="content__leftAnalitika">
        <div class="investment-plans">
            <p class="text-bold animated fadeInLeft">{{ $t('plans.title') }}</p>
            <div class="box-table--head animated fadeInUp">
                <div class="box_head--left">
                    <p class="text-id">{{ $t('plans.table.name') }}</p>
                    <p class="text-id">{{ $t('plans.table.amount') }}</p>
                </div>
                <div class="box__head--right">
                    <p class="text-id">{{ $t('plans.table.percent') }}</p>
                    <p class="text-id">{{ $t('plans.table.duration') }}</p>
                </div>
            </div>
            <plan v-for="plan in plans" :plan="plan" :key="plan.id" @delete="deletePlan" @updated="planUpdated"/>
            <router-link class="box-createLink" :to="route('plans_create')">
                <div class="box-create--left">
                    <p class="text-left--top">
                        <svg>
                            <use xlink:href="/img/sprite.svg#plus"/>
                        </svg>
                        {{ $t('plans.create_btn') }}
                    </p>
                    <p class="text-pod">{{ $t('plans.create_btn_note') }}</p>
                </div>
                <span class="box-create--right">
                        <img src="/img/blueblock.png" alt="">
                </span>
            </router-link>
        </div>
    </div>
</template>

<script>
import {mapGetters} from "vuex";
import route from "../mixins/route";

export default {
		name: "Plans",
        data(){
		    return {
		        plans: []
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ]),
        },
        methods: {
            load(){
                this.axios
                    .get('plans')
                    .then(resp => resp.data)
                    .then(plans => this.plans = plans);
            },
            deletePlan(id){
                console.log(id);
                this.axios
                    .post(`plans/${id}/delete`)
                    .then(resp => resp.data)
                    .then(data => {
                        this.$swal(this.$t('ui.success'), data.message);
                        this.load();
                    });
            },
			planUpdated(plan){
            	console.log(plan);
            	let index = this.plans.findIndex((value) => value.id === plan.id);
				console.log(index);
				let deleted = this.plans.splice(index, 1, plan);
				console.log(deleted);
			}
        },
        mixins: [route],
        components: {
			'plan' : require('../components/plans/Plan').default
        },
        mounted() {
            this.load();
        }
	}
</script>

<style scoped lang="scss">
</style>
